# OL3-ext: Font style

ol.style.FontSymbol uses font to draw symbol on the map. It gives you scalable vector icons that can instantly be customized (form, size, color, drop shadow) using attributes.
ol.style.Shadow is an image style to draw a shadow on a point. The shadow is not selectable (you have to add an other style on top to make it selectable).
The symbols are composed of:

- a form (POI, cicle, square, sign, ...)
- a glyph that overlap the form

Maki is a clean point of interest icon set made by Mapbox (CC0)
Font-Awesome is a full suite of 605 pictographic icons for easy scalable vector graphics on websitescreated and maintained by Dave Gandy (SIL OFL 1.1)

## Examples:

Road signs:

## Options:

- Symbol color:
- form:
- fill color:
- stroke color:
- border:
- radius:
- fontSize:
- rotation:
- rotateWithView
- offset
- gradient (avaliable on form)
- shadow

## Select a font glyph:

## Standard

1 2 3 8 9 0 A B C X Y Z i $ € @ & ☀ ☁ ☃ ☄ ☺ ☹